%global owner     jsocol
%global srcname   pystatsd
%global pypi_name statsd

Name:       python-%{pypi_name}
Version:    2.1.2
Release:    3%{?dist}
Summary:    A Python statsd client

License:    MIT
URL:        https://github.com/%{owner}/%{srcname}
Source0:    https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-coverage

%description
python-statsd implements a Python client for the statsd daemon.

%package doc
Summary:    Documentation of the Python client for the statsd daemon

Provides:       bundled(jquery) = 1.1.14
Requires:       %{name}%{?_isa} = %{version}-%{release}
BuildRequires:  python-sphinx

%description doc
Documentation of the Python client for the statsd daemon.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Let RPM handle the dependencies
rm -f requirements.txt


%build
%{__python} setup.py build
# generate html docs
sphinx-build docs/ html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo} html/objects.inv


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} setup.py test


%files
%doc README.rst
%license LICENSE
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-*egg-info

%files doc
%doc html
%license LICENSE

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 28 2015 Tristan de Cacqueray <tdecacqu@redhat.com> - 2.1.2-2.fc21
- Fixed fedora-review warnings

* Thu Apr 23 2015 Tristan de Cacqueray <tdecacqu@redhat.com> - 2.1.2-1.fc21
- Initial packaging
